Name:           perl-JSON-RPC
Version:        1.06
Release:    1%{?dist}
Summary:        Perl implementation of JSON-RPC 1.1 protocol
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/JSON-RPC
Source0:        https://cpan.metacpan.org/authors/id/D/DM/DMAKI/JSON-RPC-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(CGI)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Accessor::Lite)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(JSON) >= 2
BuildRequires:  perl(LWP::UserAgent) >= 2.001
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Plack::Request)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Router::Simple)
Provides:       perl-JSON-RPC-legacy = %{version}

%{?perl_default_filter}

%description
JSON-RPC is a stateless and light-weight remote procedure call (RPC)
protocol for inter-networking applications over HTTP. It uses JSON as the
data format for of all facets of a remote procedure call, including all
application data carried in parameters.

%package Apache2
Summary:   JSON-RPC server for mod_perl2
Provides:  perl-JSON-RPC-legacy-server = %{version}

%package CGI
Summary:   JSON-RPC server for CGI scripts
Provides:  perl-JSON-RPC-legacy-server = %{version}

%package Daemon
Summary:   JSON-RPC standalone daemon
Provides:  perl-JSON-RPC-legacy-server = %{version}

%description Apache2
JSON-RPC is a stateless and light-weight remote procedure call (RPC)
protocol for inter-networking applications over HTTP. It uses JSON as the
data format for of all facets of a remote procedure call, including all
application data carried in parameters. This is the mod_perl2 server
implementation.

%description CGI
JSON-RPC is a stateless and light-weight remote procedure call (RPC)
protocol for inter-networking applications over HTTP. It uses JSON as the
data format for of all facets of a remote procedure call, including all
application data carried in parameters. This is the CGI server
implementation.

%description Daemon
JSON-RPC is a stateless and light-weight remote procedure call (RPC)
protocol for inter-networking applications over HTTP. It uses JSON as the
data format for of all facets of a remote procedure call, including all
application data carried in parameters. This is the standalone daemon
to serve JSON-RPC requests.

%prep
%setup -q -n JSON-RPC-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes
%license LICENSE
%{perl_vendorlib}/JSON/RPC.pm
%{perl_vendorlib}/JSON/RPC/Constants.pm
%{perl_vendorlib}/JSON/RPC/Dispatch.pm
%{perl_vendorlib}/JSON/RPC/Legacy.pm
%{perl_vendorlib}/JSON/RPC/Legacy/Client.pm
%{perl_vendorlib}/JSON/RPC/Legacy/Procedure.pm
%{perl_vendorlib}/JSON/RPC/Parser.pm
%{perl_vendorlib}/JSON/RPC/Procedure.pm
%{perl_vendorlib}/JSON/RPC/Test.pm
%{_mandir}/man3/*

%files Apache2
%{perl_vendorlib}/JSON/RPC/Legacy/Server.pm
%{perl_vendorlib}/JSON/RPC/Legacy/Server/Apache2.pm

%files CGI
%{perl_vendorlib}/JSON/RPC/Legacy/Server.pm
%{perl_vendorlib}/JSON/RPC/Legacy/Server/CGI.pm

%files Daemon
%{perl_vendorlib}/JSON/RPC/Legacy/Server.pm
%{perl_vendorlib}/JSON/RPC/Legacy/Server/Daemon.pm

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.06-1
- initial build
